/******************************************************************************
CIF_I_Comm_Properties.H

Description:

  Connection properties and parameters

CVS Information:

  $Source: /home/dsl/Master/cif/CIF-Comm-C++-Current/library/CIF_I_Comm_Properties.H,v $
  $Date: 1998/09/28 20:16:35 $
  $Revision: 1.2 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

#if !defined(CIF_INCLUDE_I_COMM_PROPERTIES)
#define CIF_INCLUDE_I_COMM_PROPERTIES

/******************************************************************************
			     Include header files
******************************************************************************/
#include "CIF_Toolkit.H"


/******************************************************************************
		      Define CIF_I_Comm_Properties class
******************************************************************************/
class
CIF_I_Comm_Properties
: public CIF_Toolkit_Object
{
    public:
    CIF_I_Comm_Properties();
    
    public:
    ~CIF_I_Comm_Properties();
    
    public:
    void
    set_Event_Listener(
	CIF_Toolkit_Event_Listener *		event_listener);

    public:
    CIF_Toolkit_Event_Listener *
    get_Event_Listener() const;

    
    private:
    
    CIF_Toolkit_Event_Listener *		l_event_listener;
};

#endif /* CIF_INCLUDE_I_COMM_PROPERTIES */
