/******************************************************************************
CIF_I_Comm_Listener_UDP.H

Description:

  CIF_Comm UDP Listener Class

CVS Information:

  $Source: /home/dsl/Master/cif/CIF-Comm-C++-Current/library/CIF_I_Comm_Listener_UDP.H,v $
  $Date: 1998/09/25 15:08:45 $
  $Revision: 1.3 $
  $State: Exp $
  $Author: toonen $
******************************************************************************/

#if !defined(CIF_INCLUDE_I_COMM_LISTENER_UDP)
#define CIF_INCLUDE_I_COMM_LISTENER_UDP 1

/******************************************************************************
			     Include header files
******************************************************************************/
#include "CIF_I_Comm_Listener.H"

 
/******************************************************************************
		      Define CIF_I_Comm_Listener_UDP class
******************************************************************************/
class
CIF_I_Comm_Listener_UDP
: public CIF_I_Comm_Listener
{
    /**************************************************************************
				    API methods
    **************************************************************************/

    protected: virtual
    CIF_Comm_Connection *
    open_Connection(
	nexus_buffer_t &			buffer,
	ARG_IN const
	CIF_Comm_Connection::Properties &	properties,
	ARG_IN const CIF_Toolkit_Timeout &	timeout);

    protected: virtual
    char *
    get_URL_Scheme();
};

#endif /* CIF_INCLUDE_I_COMM_LISTENER_UDP */
